/* ======================================================================
 p-en
====================================================================== */
.mv {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 670px;
}
@media screen and (max-width: 767px) {
  .mv {
    height: 418px;
  }
}
.mv__slides {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
@media screen and (max-width: 767px) {
  .mv__slides {
    height: 416px;
  }
}
.mv__slides:not(.slick-initialized) {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  overflow: hidden;
}
.mv__slides:not(.slick-initialized) .mv__slide {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  height: 100%;
}
.mv__slides .slick-list,
.mv__slides .slick-track,
.mv__slides .slick-slide,
.mv__slides .slick-slide > div {
  height: 100%;
}
.mv__slide img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: top;
  object-position: top;
}
.mv__overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  pointer-events: none;
}
.mv__overlay:after {
  position: absolute;
  bottom: 0;
  left: calc(50% - 50vw);
  width: 100vw;
  height: 144px;
  background: url(../img/p-en/mv-wave.png) no-repeat center bottom/100% 100%;
  content: "";
}
@media screen and (max-width: 767px) {
  .mv__overlay:after {
    height: 49px;
    background-image: url(../img/p-en/sp/mv-wave.png);
  }
}
.mv__title {
  position: absolute;
  top: 215px;
  left: 0;
  width: 100%;
  color: #fff;
  text-align: center;
  text-shadow: 0 1px 4px #000215;
  font-weight: bold;
  font-size: 38px;
  font-family: "Roboto", sans-serif;
  line-height: 1.4210526316;
}
@media screen and (max-width: 767px) {
  .mv__title {
    top: 121px;
    padding: 0 15px;
    font-size: 24px;
    line-height: 1.5;
  }
}
.mv__scroll {
  position: absolute;
  bottom: 100px;
  left: 50%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 10px;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}
@media screen and (max-width: 767px) {
  .mv__scroll {
    bottom: 14px;
  }
}
.mv__scroll-text {
  color: #fff;
  letter-spacing: 0;
  font-weight: bold;
  font-size: 16px;
  font-family: "Roboto", sans-serif;
}
.mv__scroll-bar {
  position: relative;
  overflow: hidden;
  width: 3px;
  height: 80px;
  background: rgba(255, 255, 255, 0.4);
}
.mv__scroll-bar:before {
  position: absolute;
  top: -21px;
  left: 0;
  width: 3px;
  height: 21px;
  background: #fff;
  content: "";
  -webkit-animation: scroll-thumb 1.5s ease-in-out infinite;
  animation: scroll-thumb 1.5s ease-in-out infinite;
}

@-webkit-keyframes scroll-thumb {
  0% {
    top: -21px;
  }
  100% {
    top: 100%;
  }
}

@keyframes scroll-thumb {
  0% {
    top: -21px;
  }
  100% {
    top: 100%;
  }
}
.l-content {
  padding-top: 18px;
  padding-bottom: 0;
}
@media screen and (max-width: 767px) {
  .l-content {
    padding-top: 0;
  }
}

@media screen and (min-width: 768px) {
  .l-main {
    z-index: 1;
  }
}

.section {
  position: relative;
  z-index: 1;
  display: grid;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  grid-template-columns: 50% 45%;
  gap: 5%;
  min-height: 592px;
  mix-blend-mode: darken;
}
@media screen and (max-width: 767px) {
  .section {
    grid-template-columns: 1fr;
    gap: 0;
    min-height: auto;
    mix-blend-mode: initial;
  }
}
.section + .section {
  padding-top: 140px;
  min-height: 732px;
}
@media screen and (max-width: 767px) {
  .section + .section {
    padding-top: 80px;
    min-height: 672px;
  }
}
.section + .section .section__bg-wrap--1 {
  top: 202px;
}
.section:last-of-type {
  padding-bottom: 60px;
  min-height: 844px;
}
@media screen and (max-width: 767px) {
  .section:last-of-type {
    padding-bottom: 55px;
    min-height: 779px;
  }
}
.section:last-of-type .section__image-container {
  max-height: 644px;
}
@media screen and (min-width: 768px) {
  .section:nth-child(even) {
    grid-template-columns: 45% 50%;
  }
  .section:nth-child(even) .section__image-container {
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
  }
}
.section:nth-child(even) .section__image-wrapper:first-child {
  right: 0;
  left: auto;
}
.section:nth-child(even) .section__image-wrapper:last-child {
  right: auto;
  left: 0;
}
.section:nth-of-type(1) .section__content {
  margin: 15px 0 0;
}
.section:nth-of-type(2) .section__content {
  margin: -70px 0 0;
}
.section:nth-of-type(3) .section__content {
  margin: -130px 0 0;
}
.section .c-button-2 {
  margin: 25px 0 0;
  max-width: 279px;
}
@media screen and (max-width: 767px) {
  .section .c-button-2 {
    -webkit-box-ordinal-group: 5;
    -ms-flex-order: 4;
    order: 4;
    margin: 35px auto 0;
    max-width: 330px;
  }
}
.section__bg-wrap {
  position: absolute;
  z-index: -1;
  will-change: transform;
}
.section__bg-wrap--1 {
  top: 52px;
  left: calc(50% - 259.315px);
  width: 518.63px;
  height: 558.48px;
}
@media screen and (max-width: 767px) {
  .section__bg-wrap--1 {
    top: 159px;
    left: calc(50% - 141.18px);
    display: block;
    width: 282.36px;
    height: 304.06px;
  }
}
.section__bg-wrap--2 {
  top: -20px;
  left: calc(50% + 540px);
  width: 178px;
  height: 192px;
}
.section__bg-wrap--3 {
  top: 530px;
  left: calc(50% - 777px);
  width: 169px;
  height: 138px;
}
.section__bg-1, .section__bg-2, .section__bg-3 {
  width: 100%;
  height: 100%;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  will-change: transform;
}
.section__bg-1 {
  background-image: url(../img/p-en/bg-circle.png);
}
@media screen and (min-width: 768px) {
  .section__bg-1 {
    -webkit-animation: bubble-move-1 20s ease-in-out infinite, bubble-rotate-1 200s linear infinite;
    animation: bubble-move-1 20s ease-in-out infinite, bubble-rotate-1 200s linear infinite;
  }
}
.section__bg-2 {
  background-image: url(../img/p-top/solution-bg-2.jpg);
}
@media screen and (min-width: 768px) {
  .section__bg-2 {
    -webkit-animation: bubble-move-2 15s ease-in-out infinite, bubble-rotate-2 240s linear infinite;
    animation: bubble-move-2 15s ease-in-out infinite, bubble-rotate-2 240s linear infinite;
  }
}
.section__bg-3 {
  background-image: url(../img/p-top/solution-bg-3.jpg);
}
@media screen and (min-width: 768px) {
  .section__bg-3 {
    -webkit-animation: bubble-move-3 15s ease-in-out infinite, bubble-rotate-3 120s linear infinite;
    animation: bubble-move-3 15s ease-in-out infinite, bubble-rotate-3 120s linear infinite;
  }
}
@media screen and (max-width: 767px) {
  .section__content {
    display: contents;
  }
}
.section__title {
  position: relative;
  z-index: 0;
  padding: 0 0 0 18px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  background: -webkit-gradient(linear, left top, right bottom, from(#489ae1), to(#078db5));
  background: linear-gradient(to right bottom, #489ae1, #078db5);
  -webkit-background-clip: text;
  font-weight: bold;
  font-size: 76px;
  font-family: "Roboto", sans-serif;
  line-height: 1.3289473684;
  -webkit-text-fill-color: transparent;
}
@media screen and (max-width: 767px) {
  .section__title {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
    margin: 0 5px;
  }
}
@media screen and (max-width: 767px) {
  .section__title {
    font-size: 40px;
    line-height: 1.325;
  }
}
.section__title:before {
  position: absolute;
  top: 21px;
  left: 0;
  width: 3px;
  height: calc(100% - 44px);
  background: #489ae1;
  content: "";
}
@media screen and (max-width: 767px) {
  .section__title:before {
    top: 12px;
    height: calc(100% - 23px);
  }
}
.section__text {
  margin: 20px 0 0;
  font-weight: 300;
  font-size: 16px;
}
@media screen and (max-width: 767px) {
  .section__text {
    -webkit-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
    margin: 25px auto 0;
  }
}
.section__image-container {
  position: relative;
  z-index: 0;
  max-height: 572px;
  height: 100%;
}
@media screen and (max-width: 767px) {
  .section__image-container {
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
    margin: 20px auto 0;
    min-height: unset;
    max-width: 100%;
    width: 300px;
    height: 329px;
  }
}
.section__image-wrapper {
  position: absolute;
}
.section__image-wrapper:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  border-radius: 30px;
  background: #accceb;
  content: "";
  -webkit-filter: blur(30px);
  filter: blur(30px);
}
.section__image-wrapper img {
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 5px;
  -o-object-fit: cover;
  object-fit: cover;
}
.section__image-wrapper:first-child {
  top: 0;
  left: 0;
  aspect-ratio: 416/443;
  width: 77.037037037%;
  height: auto;
}
.section__image-wrapper:last-child {
  right: 0;
  bottom: 0;
  aspect-ratio: 260/178;
  width: 48.1481481481%;
  height: auto;
}

.cta {
  position: relative;
  z-index: -1;
  padding: 170px 0 110px;
}
@media screen and (max-width: 767px) {
  .cta {
    padding: 0 0 20px;
  }
}
.cta:before {
  position: absolute;
  top: -450px;
  left: calc(50% - 50vw);
  z-index: -4;
  width: 100vw;
  height: 100%;
  background: #fff;
  content: "";
}
@media screen and (max-width: 767px) {
  .cta:before {
    top: -600px;
  }
}
.cta__overlay-1 {
  display: none;
}
@media screen and (max-width: 767px) {
  .cta__overlay-1 {
    position: absolute;
    top: -450px;
    left: calc(50% - 456px);
    z-index: -1;
    display: block;
    mix-blend-mode: soft-light;
    content: url(../img/p-top/sp/cta-overlay-1.png);
  }
}
.cta__overlay-2 {
  position: absolute;
  top: -395px;
  left: calc(50% - 90px);
  z-index: -1;
  mix-blend-mode: overlay;
  content: url(../img/p-top/cta-overlay-2.png);
}
@media screen and (max-width: 767px) {
  .cta__overlay-2 {
    top: -330px;
    left: calc(50% - 130px);
    content: url(../img/p-top/sp/cta-overlay-2.png);
  }
}
.cta__overlay-3 {
  position: absolute;
  top: -100px;
  left: calc(50% - 530px);
  z-index: -1;
  mix-blend-mode: soft-light;
  content: url(../img/p-top/cta-overlay-3.png);
}
@media screen and (max-width: 767px) {
  .cta__overlay-3 {
    top: -150px;
    left: calc(50% - 226px);
    content: url(../img/p-top/sp/cta-overlay-3.png);
  }
}
.cta__wave {
  position: absolute;
  top: -320px;
  left: calc(50% - 50vw);
  z-index: -2;
  width: 100%;
  height: 411px;
}
@media screen and (max-width: 767px) {
  .cta__wave {
    top: -418px;
    height: 463px;
  }
}
.cta__wave:before {
  position: absolute;
  top: 0;
  top: -472px;
  left: 0;
  z-index: 0;
  min-width: 2732px;
  width: 200vw;
  height: 882px;
  background: url(../img/p-en/cta-wave.png) repeat-x center bottom/1366px;
  content: "";
  -webkit-animation: wave 30s linear 0s infinite;
  animation: wave 30s linear 0s infinite;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .cta__wave:before {
    top: -560px;
    min-width: 750px;
    height: 1023px;
    background: url(../img/p-en/sp/cta-wave.png) repeat-x center bottom/375px;
    -webkit-animation: waveSp 30s linear 0s infinite;
    animation: waveSp 30s linear 0s infinite;
  }
}
.cta__wave:after {
  position: absolute;
  top: -0.5px;
  left: 0;
  z-index: -1;
  min-width: 2732px;
  width: 200vw;
  height: 100%;
  background: url(../img/p-en/cta-wave-white.png) repeat-x center bottom/1366px;
  content: "";
  -webkit-animation: wave 30s linear 0s infinite;
  animation: wave 30s linear 0s infinite;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .cta__wave:after {
    content: none;
  }
}
.cta__bg {
  position: absolute;
  bottom: 0;
  left: calc(50% - 50vw);
  z-index: -3;
  min-height: 100%;
  width: 100vw;
  height: 592px;
  background: url(../img/p-top/cta-bg.jpg) no-repeat center top/cover;
}
@media screen and (max-width: 767px) {
  .cta__bg {
    top: 0;
    bottom: unset;
    min-height: unset;
    height: 383px;
    background-image: url(../img/p-top/sp/cta-bg.jpg);
    background-size: 100% auto;
  }
  .cta__bg:before {
    position: absolute;
    top: 178px;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 478px;
    background: url(../img/p-en/sp/cta-bg-overlay.png) no-repeat center/100% 100%;
    content: "";
  }
}
@media screen and (min-width: 768px) and (max-width: 1100px) {
  .cta__bg {
    background-size: auto 125%;
  }
}
.cta__content {
  visibility: hidden;
}
.cta__text {
  margin: 35px 0 0;
}
@media screen and (max-width: 767px) {
  .cta__text {
    margin: 10px 0 0;
  }
}
@media screen and (max-width: 767px) {
  .cta__button {
    max-width: 345px;
    width: calc(100% + 40px);
  }
}

@-webkit-keyframes bubble-move-1 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  25% {
    translate: 8px -12px;
    scale: 1.02;
  }
  50% {
    translate: -5px -8px;
    scale: 0.98;
  }
  75% {
    translate: 10px 5px;
    scale: 1.01;
  }
}

@keyframes bubble-move-1 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  25% {
    translate: 8px -12px;
    scale: 1.02;
  }
  50% {
    translate: -5px -8px;
    scale: 0.98;
  }
  75% {
    translate: 10px 5px;
    scale: 1.01;
  }
}
@-webkit-keyframes bubble-move-2 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  33% {
    translate: -10px 8px;
    scale: 1.03;
  }
  66% {
    translate: 6px -10px;
    scale: 0.97;
  }
}
@keyframes bubble-move-2 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  33% {
    translate: -10px 8px;
    scale: 1.03;
  }
  66% {
    translate: 6px -10px;
    scale: 0.97;
  }
}
@-webkit-keyframes bubble-move-3 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  33% {
    translate: -5px 3px;
    scale: 1.01;
  }
  66% {
    translate: 3px -4px;
    scale: 0.98;
  }
}
@keyframes bubble-move-3 {
  0%, 100% {
    translate: 0 0;
    scale: 1;
  }
  33% {
    translate: -5px 3px;
    scale: 1.01;
  }
  66% {
    translate: 3px -4px;
    scale: 0.98;
  }
}
@-webkit-keyframes bubble-rotate-1 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: 360deg;
  }
}
@keyframes bubble-rotate-1 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: 360deg;
  }
}
@-webkit-keyframes bubble-rotate-2 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: -360deg;
  }
}
@keyframes bubble-rotate-2 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: -360deg;
  }
}
@-webkit-keyframes bubble-rotate-3 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: -360deg;
  }
}
@keyframes bubble-rotate-3 {
  0% {
    rotate: 0deg;
  }
  100% {
    rotate: -360deg;
  }
}
@-webkit-keyframes wave {
  from {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}
@keyframes wave {
  from {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}
@-webkit-keyframes waveSp {
  from {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
@keyframes waveSp {
  from {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
